<!DOCTYPE html lang="fr">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="UTF-8">
    <link rel="icon" type="image/x-icon" href="/buvette/images/favicon.png">
    <style type="text/css">
        body {
            text-align: center;
            margin: 0;
            padding: 0;
        }
        .v-counter, .v-result, .v-setting, .v-header {
            border-radius: 5px;
            margin: 5px 0;
            height: 45px;
            display: table;
            width: 97%;
            margin-left: auto;
            margin-right: auto;
        }
        .v-result {
            height: 35px !important;
            border: none !important;
            display: table;
            width: 100%;
            margin: 0 !important;
        }
        .openDateTime, .closeDateTime {
            width: 100px;
            text-align: center;
            display: table-cell;
            vertical-align: middle;
        }
        .minPrice, .paidPrice {
            width: 80px;
            text-align: right;
            display: table-cell;
            vertical-align: middle;
        }
        h1 {
            text-align: center;
            margin: 15px 0;
        }
        input[type=button]:hover {
            color: black;
            font-weight: bold;
            background-color: transparent;
        }
        .v-header span {
            font-weight: bold;
        }
        .v-header .minPrice, .v-header .paidPrice {
            text-align: center !important;
        }
        .v-counter span, .v-header span {
            font-size: 20px;
            color: black;
            font-family: 'Open Sans';
        }
        .moreButtons {
            border: 1px solid black;
            border-radius: 5px;
            text-align: center;
            margin: 8px 0;
        }
        .sendPayment, .sendSettings, .endOfStall, .cancelSettings {
            font-size: 25px;
            font-weight: bold;
        }
        .resultSave {
            width: 100%;
            font-size: 25px;
            text-align: center;
            color: green;
            font-weight: bold;
            height: 40px;
        }
        .minusBtn, .plusBtn {
            width: 40px;
        }
        .count {
            width: 30px;
        }
        .nameSetting {
            text-align: left !important;
            width: 94px;
        }
        .otherInputs {
            text-align: right !important;
            font-size: xx-large;
            font-weight: bold;
            width: calc(100% - 85px);
        }
        .price {
            text-align: right !important;
            font-size: xx-large;
            width: calc(100% - 195px);
        }
        .vert {
            color: green !important;
            font-weight: bold;
        }
        .searchImg {
            height: 32px;
            width: 32px;
            display: table-cell;
            vertical-align: middle;
        }
        .settings {
            position: absolute;
            right: 15px;
            top: 15px;
            height: 30px;
            width: 30px;
            cursor: pointer;
        }
        .close {
            cursor: pointer;
            position: absolute;
            right: 15px;
            top: 15px;
            height: 30px;
            width: 30px;
            text-align: center;
        }
        img {
            height: 30px;
        }
        .settingsModal {
            display: none;
            background-color: rgb(233,233,233);
            position: absolute;
            top: 0;
            left: 0;
            width: calc(100% - 16px);
            padding: 0 8px 8px 8px;
        }
        .v-setting span {
            width: 165px;
            display: inline-block;
        }
        .spaceSetting {
            width: 30px !important;
        }
        .addSetting {
            cursor: pointer;
            position: absolute;
            left: 15px;
            top: 15px;
            height: 30px;
            width: 30px;
            text-align: center;
        }
    </style>
</head>
<body onload="getPayments()">
    <h1>Récapitulatif buvettes</h1><!--<a class="settings"><img src="images/gear-solid.svg" /></a>-->
    <div class="v-header">
        <span class="openDateTime">Début</span><span class="closeDateTime">Fin</span><span class="minPrice">Recettes</span><span class="paidPrice">Dons</span>
    </div>
    <div class="v-counter">
        <span class="openDateTime"></span><span class="closeDateTime"></span><span class="minPrice"></span><span class="paidPrice"></span>
    </div>
    <div class="settingsModal">
        <h1>Paramètres</h1><a class="close"><img src="images/x-solid.svg" /></a>
        <div class="v-setting">
            <span>Nombre de buvettes visibles :</span><input type="number" class="stallsNumber" />
        </div>
        <div class="moreButtons">
            <input type="button" class="sendSettings" value="Enregistrer" />
        </div>
        <div class="moreButtons">
            <input type="button" class="cancelSettings" value="Annuler" />
        </div>
    </div>
    <script type="text/javascript">
        // Store references that all functions can use.
        var counterWidgets = document.querySelectorAll(".v-counter");

        // Attach the handlers to each plus-minus thing
        document.querySelector(".cancelSettings").addEventListener("click", cancelSettingHandler);
        //document.querySelector(".settings").addEventListener("click", switchDisplayModal);
        document.querySelector(".close").addEventListener("click", switchDisplayModal);

        function switchDisplayModal() {
            var displayEl = document.querySelector('.settingsModal');
            var display = displayEl.style.display;
            if (display == "none" || !display) {
                displayEl.style.display = "block";
            } else {
                displayEl.style.display = "none";
            }
        };

        function changeHtmlHeight() {
             document.querySelector(".settingsModal").style.height = document.documentElement.scrollHeight+"px";
        };

        function cancelSettingHandler() {
            
        };

        function addCounter() {
            counterWidgets = document.querySelectorAll(".v-counter");
            var lastCounter = counterWidgets[counterWidgets.length-1];
            var elementToBeAdded = '<div class="v-counter"><span class="openDateTime"></span><span class="closeDateTime"></span>';
            elementToBeAdded += '<span class="minPrice"></span><span class="paidPrice"></span></div>';
            lastCounter.insertAdjacentHTML("afterend", elementToBeAdded);
            changeHtmlHeight();
        };

        function getPayments() {
            document.querySelector(".close").style.display = "block";
            counterWidgets = document.querySelectorAll(".v-counter");
            var data = '{"command":"getGeneralPayments"}';
            const xhttp = new XMLHttpRequest();
            xhttp.onload = function() {
                console.log(this.responseText);
                if (this.responseText) {
                    var data = JSON.parse(this.responseText);
                    for (var i=0; i<data.values.length; i++) {
                        if (!counterWidgets[i]) {
                            addCounter();
                            counterWidgets = document.querySelectorAll(".v-counter");
                        }
                        counterWidgets[i].querySelector(".openDateTime").innerHTML = data.values[i].openDateTime;
                        if (data.values[i].closeDateTime)
                            counterWidgets[i].querySelector(".closeDateTime").innerHTML = data.values[i].closeDateTime;
                        else
                        counterWidgets[i].querySelector(".closeDateTime").innerHTML = "En cours";
                        counterWidgets[i].querySelector(".minPrice").innerHTML = data.values[i].minPrice+" €";
                        counterWidgets[i].querySelector(".paidPrice").innerHTML = data.values[i].paidPrice+" €";
                    }
                }
                changeHtmlHeight();
            }
            xhttp.open("POST", "api.php");
            xhttp.send(data);
        };

        /*****
         * triggerEvent() -- function to trigger an HTMLEvent on a given element.
         *  similar to jquery's trigger(), simply a convenience function. Not the
         *  point of this exercise.
         *****/
        function triggerEvent(el, type){
           if ('createEvent' in document) {
                // modern browsers, IE9+
                var e = document.createEvent('HTMLEvents');
                e.initEvent(type, false, true);
                el.dispatchEvent(e);
            } else {
                // IE 8
                var e = document.createEventObject();
                e.eventType = type;
                el.fireEvent('on'+e.eventType, e);
            }
        }
    </script>
</body>
</html>